//
//  ICeCoffEEParser.h
//  ICeCoffEE
//
//  Created by Nicholas Riley on 6/21/07.
//  Copyright 2007 Nicholas Riley. All rights reserved.
//

#import <Foundation/Foundation.h>

NSRange ICCF_URLEnclosingRange(NSString *s, NSRange range);

// throws an exception if the URL range is nonexistent or too big
void ICCF_CheckRange(NSRange range);

// returns NSCharacterSets representing valid URL delimiters for left and right sides
void ICCF_Delimiters(NSCharacterSet **leftPtr, NSCharacterSet **rightPtr);

// start Internet Config (before ICCF_LaunchURL)
void ICCF_StartIC();

// stop Internet Config (after ICCF_LaunchURL)
void ICCF_StopIC();

// calls ICParseURL, returns output range
void ICCF_ParseURL(NSString *string, NSRange *range);

